apiVersion: apps/v1 
kind: Deployment
metadata:
  labels:
    app: exporter-curl-statistics
  name: exporter-curl-statistics
spec:
  replicas: 1
  selector:
    matchLabels:
      app: exporter-curl-statistics
  template:
    metadata:
      labels:
        app: exporter-curl-statistics
    spec:
      containers:
      - env:
        - name: DESTINATION_URL
          value: 'https://api.cluster-bdn64.bdn64.sandbox1030.opentlc.com:6443'
        image: registry.gitlab.com/two.oes/curl-statistics/exporter-curl-statistics:latest
        imagePullPolicy: Always
        name: exporter-curl-statistics
        ports:  
        - containerPort: 9100 
          protocol: TCP 
          name: exporter
        volumeMounts:
        - mountPath: /opt/app-root/exporter_curl_statistics.txt
          name: exporter-curl-statistics
          subPath: exporter_curl_statistics.txt
      volumes:
      - name: exporter-curl-statistics
        configMap:
          defaultMode: 420
          items:
          - key: exporter_curl_statistics.txt
            path: exporter_curl_statistics.txt
          name: exporter-curl-statistics
